#!/usr/bin/env python

#PBS -N au309
#PBS -e au309.err
#PBS -o au309.log
#PBS -m ae
#PBS -q medium
#PBS -l nodes=1:ppn=8:xeon5570

from ase import *
from ase.utils.eos import *
from gpaw import *
from gpaw.poisson import PoissonSolver
from gpaw.mixer import Mixer


#box = 22.0
#### Build an 147-atom Au cuboctahedron.
system = read('Au309.cube')
#cubocta.set_cell([box, box, box])
system.center()

solver = PoissonSolver(relax='GS', eps=1e-8)

root = 'au309'
calc = GPAW(gpts=(144, 144, 144),
            poissonsolver=solver,
            mode='lcao',
            basis='dzp',
            nbands = 1730,
            xc     = 'PBE',
            width  = 0.01,
            mixer=Mixer(0.03, 5, 100.),
            txt='%s.gpaw.out' % root)
system.set_calculator(calc)

#### Single point energy ####
e0 = system.get_potential_energy()
